package com.zj365.mime.act

import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.IBaseAct
import com.xty.common.arouter.ARouterUrl
import com.zj365.mime.databinding.ActProgrammeBinding
import com.xty.network.model.ProgrammeBean
/**
 * 方案内容
 */
@Route(path = ARouterUrl.PROGRAMME_DETAIL)
class ProgeammeDetailOldAct: IBaseAct() {
    val binding by lazy{ ActProgrammeBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initData() {
        super.initData()
        isDarkBar=true
        intent.extras?.let {
            var msg=intent.extras!!.getSerializable("bean") as ProgrammeBean
            binding.mMsg.text=msg.prName
            binding.title.mTvTitle.text=msg.name
        }

    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mIvBack.setOnClickListener { finish() }
    }
}